﻿using Microsoft.AspNetCore;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Logging.Console;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using UsingHttpClientFactoryInsideProgram.Model;

namespace UsingHttpClientFactoryInsideProgram
{
    public class Program
    {
        public static void Main(string[] args)
        {
            IWebHost webHost = CreateWebHostBuilder(args).Build();

            CallSomeRemoteService(webHost.Services);

            webHost.Run();
        }

        private static void CallSomeRemoteService(IServiceProvider serviceProvider)
        {
            var httpClientFactory = serviceProvider.GetService<IHttpClientFactory>();
            var httpClient = httpClientFactory.CreateClient("OpenBreweryDb");

            var response = httpClient.GetAsync("?by_state=Massachusetts&by_name=night").Result;
            if (response.IsSuccessStatusCode)
            {
                var breweries = response.Content.ReadAsAsync<List<Brewery>>().Result;
            }
        }

        public static IWebHostBuilder CreateWebHostBuilder(string[] args) =>
            WebHost.CreateDefaultBuilder(args)
                .UseStartup<Startup>();
    }
}


 